%define mm_major 1
%define mm_minor 1.3
%define mm_version %{mm_major}.%{mm_minor}
%define EAPI_version 2.8.2
%define apache_version 1.3.19
%define apache_release 3mdk

%define sysconfdir /etc
%define apachecontent /var/www/html
%define apachebase %{sysconfdir}/httpd
%define apacheroot /var/www
%define oldapacheroot /home/httpd
%define apachelogs /var/log

Summary: Configuration files for Apache
Name: apache-conf
Version: %{apache_version}
Release: 3mdk
Group: System/Servers
URL: http://www.advancedextranet.com
Copyright: Apache License
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Vendor: MandrakeSoft
Distribution: Linux-Mandrake
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: apache-common = %{apache_version}
Prereq: mm = %{mm_major}.%{mm_minor}

Source: httpd.init.mandrake
Source1: httpd.conf
Source2: httpd-perl.conf
Source3: mime.types
Source4: apache.logrotate
Source5: magic.default
Source5: commonhttpd.conf
Source10: Vhosts.conf
Source11: DynamicVhosts.conf
Source12: VirtualHomePages.conf

Source20: index.shtml
Source21: mandrake.html
Source22: optim.html
Source23: logo.gif
Source24: apacheicon.gif
Source25: medbutton.png
Source26: stamp.gif

Source30: advxaddmod
Source31: advxdelmod
Source32: advxfixconf
Source33: advxlogserverstatus
Source34: advxsplitlogfile

Source40: README.apache-conf

%description
This package contains configuration files for apache and apache-mod_perl. It
is necessary for operation of the Apache webserver.

Having those files into a separate modules provides better customization for
OEMs and ISPs, who can modify the look and feel of the Apache webserver
without having to re-compile the whole suite to change a logo or config
file.

%prep

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%install

mkdir -p $RPM_BUILD_ROOT%{apachebase}/conf/
mkdir -p $RPM_BUILD_ROOT%{apachecontent}
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d

install -m644 $RPM_SOURCE_DIR/httpd.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/httpd.conf
install -m644 $RPM_SOURCE_DIR/commonhttpd.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/commonhttpd.conf
install -m644 $RPM_SOURCE_DIR/httpd-perl.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/httpd-perl.conf
cd $RPM_BUILD_ROOT%{apachebase}/conf/
install -d -m755 addon-modules
install -m644 $RPM_SOURCE_DIR/mime.types \
	$RPM_BUILD_ROOT%{apachebase}/conf/apache-mime.types
install -m644 $RPM_SOURCE_DIR/magic.default \
	$RPM_BUILD_ROOT%{apachebase}/conf/magic.default
cp -p apache-mime.types apache-mime.types.default
cp -p magic.default magic
install -d -m755 vhosts
install -m644 $RPM_SOURCE_DIR/Vhosts.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/vhosts
install -m644 $RPM_SOURCE_DIR/DynamicVhosts.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/vhosts
install -m644 $RPM_SOURCE_DIR/VirtualHomePages.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/vhosts

#install misc documentation and logos
install -m644 $RPM_SOURCE_DIR/index.shtml \
        $RPM_BUILD_ROOT/%{apachecontent}/index.shtml

install -m644 $RPM_SOURCE_DIR/optim.html \
        $RPM_BUILD_ROOT/%{apachecontent}/optim.html
install -m 644 $RPM_SOURCE_DIR/mandrake.html \
	$RPM_BUILD_ROOT/%{apachecontent}/platform.html
install -d -m755 $RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/logo.gif \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/apacheicon.gif \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/stamp.gif \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/medbutton.png \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/

install -d -m755 $RPM_BUILD_ROOT/%{apachecontent}/addon-modules/
echo "Get all the latest modules at <a href=http://www.advx.com>www.advx.com</a>" \
	>> $RPM_BUILD_ROOT/%{apachecontent}/addon-modules/HOWTO_get_modules.html

# install log rotation stuff
install -d -m755 $RPM_BUILD_ROOT%{sysconfdir}/logrotate.d
install -m644 $RPM_SOURCE_DIR/apache.logrotate \
	$RPM_BUILD_ROOT%{sysconfdir}/logrotate.d/apache

#Install initscripts
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init.mandrake \
	$RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d/httpd
rm -f $RPM_BUILD_ROOT%{_sbindir}/apachectl*
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/AESctl
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/apachectl
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/apachectl-perl

install -m 755 $RPM_SOURCE_DIR/advx* \
	$RPM_BUILD_ROOT%{_sbindir}

mkdir -p $RPM_BUILD_ROOT%{_docdir}
install -m644 $RPM_SOURCE_DIR/README.apache-conf \
	$RPM_BUILD_ROOT%{_docdir}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache-extramodules
#link modules dir
ln -sf ../..%{_libdir}/apache-extramodules \
	$RPM_BUILD_ROOT%{apachebase}/extramodules


%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%config(noreplace) %{apachebase}/conf/httpd.conf
%config(noreplace) %{apachebase}/conf/commonhttpd.conf
%config(noreplace) %{apachebase}/conf/httpd-perl.conf
%config(noreplace) %{apachebase}/conf/magic
%config(noreplace) %{apachebase}/conf/apache-mime.types
%config(noreplace) %{apachebase}/conf/magic.default
%config(noreplace) %{apachebase}/conf/vhosts
%config(noreplace) %{apachebase}/conf/addon-modules
%attr (-,apache,apache) %{apachecontent}/addon-modules/*
%attr (-,apache,apache) %{apachecontent}/platform.html
%attr (-,apache,apache) %{apachecontent}/optim.html
%attr (-,apache,apache) %config(noreplace) %{apachecontent}/index.shtml
%attr (-,apache,apache) %{apacheroot}/icons/*
%{_sbindir}/*
%config %{sysconfdir}/*.d
%{_docdir}/README.apache-conf
%dir %{_libdir}/apache-extramodules
%{apachebase}/extramodules

%post
%_post_service httpd

%preun
%_preun_service httpd

%changelog
* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-3mdk
- fix prereqs

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-2mdk
- fixed bug with mod_perl upgrade
- use _post_service and _preun_service macros
- unset some unneeded (and potentially insecure) environment variables

* Sun Mar 25 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-1mdk
- Created this new package for configuration files
  see description for more info
- Extensive rewrite of the configuration files
- New mod_perl configuration
- New virtualhost logging and dynamic log rotation
- New utilities for adding/removing modules and upgrades
- Apache and apache_mod-perl now use the same set of modules
- Added some SuSE compatibility
